<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHP-Fusion.us
| Dev: PHPFusionMods.org
| Source: http://www.quasarcr.com/en/html2php
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: brandon.l.davis@outlook.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/admin_header.php";
opentable("Fusion Tools - Panel Creator <div style='float:right;'>Build 0.70</div>");
require_once "nav.php";
$remotePhpFusionVersion = @file_get_contents("http://phpfusionmods.org/updates/php-fusion.txt");
$localPhpFusionVersion  = $settings['version'];
$remoteOptimizeVersion  = @file_get_contents("http://phpfusionmods.org/updates/fusion-optimize.txt");
$localOptimizeVersion   = "1.00";
echo "<table style='width: 100%; text-align:left; line-height: 20px' class='tbl' cellspacing='0'>
<tr>
<td style='width: 50%; vertical-align:top' class='tbl1'>
<span style='font-size: 14px; font-weight: bold;'>Panel Creator</span><hr />";
$Show = "";
if (isset($_POST['HTML2PHP']) && !empty($_POST['htmlcode'])) {
    $codeline  = explode(chr(10), $_POST['htmlcode']);
    # Set Default Options
    $output    = "print ";
    $bslashn   = "";
    $parenpre  = "";
    $parenpost = "";
    # Options
    if (isset($_POST['output']) && $_POST['output'] == 4 && !empty($_POST['outputvar'])) {
        $output = $_POST['outputvar'] . " ";
    } elseif (isset($_POST['bslashn']) && $_POST['bslashn'] == 4 && empty($_POST['outputvar'])) {
        $Show .= "<p class='error'>Var name was not defined. Using print</p>";
    }
    if (isset($_POST['output']) && $_POST['output'] == 2) {
        $output = "printf ";
    } elseif (isset($_POST['output']) && $_POST['output'] == 3) {
        $output = "echo ";
    }
    if (isset($_POST['bslashn']) && $_POST['bslashn'] == 1) {
        $bslashn = chr(92) . "n";
    }
    if (isset($_POST['paren']) && $_POST['paren'] == 1) {
        $parenpre  = "(";
        $parenpost = ")";
    }
    $code = "";
    foreach ($codeline as $line) {
        $code .= $output . $parenpre . chr(34) . str_replace('"', "'", htmlentities(str_replace(chr(13), "", stripslashes(trim(str_replace('"', "'", $line)))))) . $bslashn . chr(34) . $parenpost . ';' . "\n";
    }
    $open  = "";
    $close = "";
    $title = "Your Title";
    if (isset($_POST['ptitle'])) {
        $title = preg_replace('/[^#A-Z0-9 ]/i', '', $_POST['ptitle']);
    }
    if (isset($_POST['open']) && $_POST['open'] == 1) {
        $open  = "opentable(\"{$title}\");\n";
        $close = "closetable();";
    }
    if (isset($_POST['open']) && $_POST['open'] == 2) {
        $open  = "openside(\"{$title}\");\n";
        $close = "closeside();";
    }
    if (isset($_POST['open']) && $_POST['open'] == 3) {
        $open  = "";
        $close = "";
    }
    $top = "Here is your PHP code";
    $Show .= "<form name='phpcodeform'><textarea name='phpcode' cols='60' rows='20' class='textbox' style='width: 535px;' id='phpcode'>" . $open . $code . $close . "</textarea><div align='center' class='links'><input type='button' class='button' value='Select All' onclick='javascript:this.form.phpcode.focus();this.form.phpcode.select();'></div></form>";
} else {
    if (isset($_POST['HTML2PHP'])) {
        $top = "Here is your PHP code";
        $Show .= "<div id='close-message'><div class='admin-message'>You didn't enter any HTML code to convert.</div></div>";
    }
} #End If
if ($Show) {
?>
<form action="" method="post" name="phpform" target="_self" id="HTML2PHP">
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="tbl-border center">
<tr>
<td class="forum-caption">
<?php
    echo $top;
?>
</td>
</tr>
<tr> 
<td class="tbl1" align="center"><?php
    echo $Show;
?></td>
</tr>
</table>
</form>
<?php
}
?>
<form action="" method="post" name="HTML2PHP" target="_self" id="HTML2PHP">
   <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="tbl-border center">
      <tr>
         <td colspan="2" class="forum-caption"><strong>Paste your HTML code Here:</strong></td>
      </tr>
      <tr>
         <td colspan="2" class="tbl1"><textarea name="htmlcode" cols="60" rows="10" id="htmlcode" style="width: 535px;" class="textbox"></textarea></td>
      </tr>
      <tr>
         <td width="100%" class="forum-caption" colspan="2">Options</td>
      </tr>
      <tr>
         <td class="tbl1"><input name="output" type="radio" value="1">
            Return with print
         </td>
         <td class="tbl1">Example: <strong>print &quot;your code here&quot;;</strong></td>
      </tr>
      <tr>
         <td class="tbl1"><input type="radio" name="output" value="2">
            Return with printf
         </td>
         <td class="tbl1">Example: <strong>printf &quot;your code here&quot;;</strong></td>
      </tr>
      <tr>
         <td class="tbl1"><input type="radio" name="output" value="3" checked>
            Return with echo
         </td>
         <td class="tbl1">Example: <strong>echo&quot;your code here&quot;;</strong></td>
      </tr>
      <tr>
         <td class="tbl1"><input type="radio" name="output" value="4">
            Return with 
            <input name="outputvar" type="text" class="textbox" id="outputvar">
         </td>
         <td class="tbl1">Example: <strong>$YourVar= &quot;your code here&quot;;</strong></td>
      </tr>
      <tr>
         <td>&nbsp;</td>
         <td>&nbsp;</td>
      </tr>
      <tr>
         <td class="tbl1"><input name="bslashn" type="checkbox" id="bslashn" value="1">
            Add \n
         </td>
         <td class="tbl1">Example: <strong>print &quot;your code here\n&quot;;</strong></td>
      </tr>
      <tr>
         <td class="tbl1"><input name="paren" type="checkbox" id="paren" value="1">
            Add parenthesis ()
         </td>
         <td class="tbl1">Example: <strong>echo (&quot;your code here\n&quot;);</strong></td>
      </tr>
      <tr>
         <td colspan="2" class="forum-caption"><strong>Panel Options</strong></td>
      </tr>
      <tr>
         <td class="tbl1">
            Panel Title
            <input type="text" class="textbox" value="Title" name="ptitle" />
         </td>
         <td></td>
      </tr>
      <tr>
         <td class="tbl1"><input name="open" type="radio" value="1" checked>
            Center Panel
         </td>
         <td></td>
      </tr>
      <tr>
         <td class="tbl1"><input name="open" type="radio" value="2">
            Side Panel
         </td>
         <td></td>
      </tr>
      <tr>
         <td class="tbl1"><input name="open" type="radio" value="3">
            Don't Use Panels
         </td>
         <td class="tbl1"></td>
      </tr>
      <tr>
         <td class="tbl1">&nbsp;</td>
         <td class="tbl1">&nbsp;</td>
      </tr>
      <tr>
         <td colspan="2" class="tbl1">
            <div align="center"> 
               <input name="HTML2PHP" type="submit" class="button" id="HTML2PHP" value="Create Panel"><br /><br />
            </div>
         </td>
      </tr>
   </table>
</form>
<?php
echo "</td>
</tr>
</table>";
closetable();
require_once THEMES . "templates/footer.php";