<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHP-Fusion.us
| Dev: PHPFusionMods.org
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: brandon.l.davis@outlook.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
function deleteDraftArticle()
{
    $count = dbcount("(article_id)", DB_ARTICLES, "article_draft='1'");
    $query = dbquery("DELETE FROM " . DB_ARTICLES . " WHERE article_draft='1'");
    dbquery("UPDATE " . DB_PREFIX . "optimize SET value=value+1 WHERE name='total_processed'");
}
function deleteDraftNews()
{
    $count = dbcount("(news_id)", DB_NEWS, "news_draft='1'");
    $query = dbquery("DELETE FROM " . DB_NEWS . " WHERE news_draft='1'");
    dbquery("UPDATE " . DB_PREFIX . "optimize SET value=value+1 WHERE name='total_processed'");
}
function deleteUnapprovedMembers()
{
    $count = dbcount("(user_id)", DB_USERS, "user_status='2'");
    $query = dbquery("DELETE FROM " . DB_USERS . " WHERE user_status='2'");
    dbquery("UPDATE " . DB_PREFIX . "optimize SET value=value+1 WHERE name='total_processed'");
}
function deleteUserLogs()
{
    $count = dbcount("(userlog_id)", DB_USER_LOG);
    $query = dbquery("DELETE FROM " . DB_USER_LOG);
    dbquery("UPDATE " . DB_PREFIX . "optimize SET value=value+1 WHERE name='total_processed'");
}
function deleteErrorLogs()
{
    $count = dbcount("(error_id)", DB_ERRORS);
    $query = dbquery("DELETE FROM " . DB_ERRORS);
    dbquery("UPDATE " . DB_PREFIX . "optimize SET value=value+1 WHERE name='total_processed'");
}
function optimizeDatabase()
{
    $query = dbquery('SHOW TABLE STATUS WHERE Data_free / Data_length > 0.1');
    $free  = 0;
    while ($row = dbarray($query)) {
        $free = ($row['Data_free'] + $free);
        dbquery("UPDATE " . DB_PREFIX . "optimize SET value=value+{$free} WHERE name='database_optimized'");
        dbquery("UPDATE " . DB_PREFIX . "optimize SET value=value+1 WHERE name='total_processed'");
        dbquery('OPTIMIZE TABLE ' . $row['Name']);
    }
}
function fixForumPosts()
{
    $count  = 0;
    $result = dbquery("SELECT * FROM " . DB_THREADS . " ORDER BY thread_id DESC");
    if (dbrows($result) != 0) {
        while ($data = dbarray($result)) {
            $check = dbcount("(user_id)", DB_USERS, "user_id='" . $data['thread_lastuser'] . "'");
            if ($check == 0) {
                $query  = dbquery("SELECT post_author FROM " . DB_POSTS . " WHERE thread_id='" . $data['thread_id']);
                $query2 = dbquery("SELECT post_id FROM " . DB_POSTS . " WHERE thread_id='" . $data['thread_id']);
                if ($query && $query2) {
                    $access  = dbresult($query, 0);
                    $access2 = dbresult($query2, 0);
                    $update  = dbquery("UPDATE " . DB_THREADS . " SET thread_lastuser='" . $access . "' WHERE thread_id='" . $data['thread_id'] . "'");
                    $update2 = dbquery("UPDATE " . DB_THREADS . " SET thread_lastpostid='" . $access2 . "' WHERE thread_id='" . $data['thread_id'] . "'");
                    $update3 = dbquery("UPDATE " . DB_FORUMS . " SET forum_lastuser='" . $access . "' WHERE forum_id='" . $data['forum_id'] . "'");
                    if ($update && $update2 && $update3) {
                        $count++;
                    }
                }
            }
        }
    }
    $result2 = dbquery("SELECT * FROM " . DB_FORUMS . " WHERE forum_cat != '0' ORDER BY forum_id DESC");
    if (dbrows($result2) != 0) {
        while ($datax = dbarray($result2)) {
            $check2 = dbcount("(user_id)", DB_USERS, "user_id='" . $datax['forum_lastuser'] . "'");
            if ($check2 == 0) {
                $queryx = dbquery("SELECT post_author FROM " . DB_POSTS . " WHERE forum_id='" . $datax['forum_id']."'");
                if ($queryx != 0) {
                    $accessx = dbresult($queryx, 0);
                    $updatex = dbquery("UPDATE " . DB_FORUMS . " SET forum_lastuser='" . $accessx . "' WHERE forum_id='" . $datax['forum_id'] . "'");
                    if ($updatex) {
                        $count++;
                    }
                }
            }
        }
    }
    if ($count != 0) {
        dbquery("UPDATE " . DB_PREFIX . "optimize SET value=value+{$count} WHERE name='posts_optimized'");
        dbquery("UPDATE " . DB_PREFIX . "optimize SET value=value+1 WHERE name='total_processed'");
    }
}